xdiff_file_merge3
xdiff_file_patch
xdiff Functions
PHP Manual

# xdiff_file_patch_binary

Alias of xdiff_file_bpatch

### Description

bool xdiff_file_patch_binary ( string `$file` , string `$patch` , string `$dest` )

Patches a `file` with a binary `patch` and stores the result in a file `dest`. This function accepts patches created both via xdiff_file_bdiff or xdiff_file_rabdiff functions or their string counterparts.

Starting with version 1.5.0 this function is an alias of xdiff_file_bpatch.

### Parameters

`file`

  The original file.

`patch`

  The binary patch file.

`dest`

  Path of the resulting file.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 xdiff_file_patch_binary example

The following code applies binary diff to a file.

`<?php
$old_version = 'archive-1.0.tgz';
$patch = 'archive.bpatch';
$result = xdiff_file_patch_binary($old_version, $patch, 'archive-1.1.tgz');
if ($result) {
echo "File patched";
} else {
echo "File couldn't be patched";
}
?>`

### Notes

> Note:

> Both files (`file` and `patch`) will be loaded into memory so ensure that your memory_limit is set high enough.

### See Also

- xdiff_string_patch_binary